Index: packages.ent
===================================================================
--- packages.ent	(revision e68002242fc8a6c34fa97f986e31e74e414ab51b)
+++ packages.ent	(revision 716db1f7650e2a5a1639d91145cab6b4c14d1c99)
@@ -6,5 +6,5 @@
      Allowed deviation in SBUs : 10%
      Allowed deviation in disk usage : 2%
-     
+
      Suffixes:
      *-tmp-*     Package info for Temporary Tools
@@ -59,8 +59,8 @@
 <!ENTITY bash-fin-sbu "1.6 SBU">
 
-<!ENTITY bc-version "5.0.0">
+<!ENTITY bc-version "5.0.2">
 <!ENTITY bc-size "420 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "8345bb81c576ddfc8c27e0842370603c">
+<!ENTITY bc-md5 "3b521d29aa4af4c4d5e96f7c3db3c607">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
 <!ENTITY bc-fin-du "6.7 MB">
@@ -79,8 +79,8 @@
 <!ENTITY binutils-fin-sbu "6.3 SBU">
 
-<!ENTITY bison-version "3.7.6">
-<!ENTITY bison-size "2,566 KB">
+<!ENTITY bison-version "3.8.1">
+<!ENTITY bison-size "2,735 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "d61aa92e3562cb7292b004ce96173cf7">
+<!ENTITY bison-md5 "0ea56629a7136cc097668dba808afe3a">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-tmp-du "50 MB">
@@ -241,8 +241,8 @@
 <!ENTITY libstdcpp-tmpp2-sbu "0.8 SBU">
 
-<!ENTITY gdbm-version "1.20">
-<!ENTITY gdbm-size "965 KB">
+<!ENTITY gdbm-version "1.21">
+<!ENTITY gdbm-size "983 KB">
 <!ENTITY gdbm-url "&gnu;gdbm/gdbm-&gdbm-version;.tar.gz">
-<!ENTITY gdbm-md5 "006c19b8b60828fd6916a16f3496bd3c">
+<!ENTITY gdbm-md5 "a285c6e2dfed78668664c0555a7d202b">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
 <!ENTITY gdbm-fin-du "11 MB">
@@ -312,8 +312,8 @@
 <!ENTITY grub-fin-sbu "0.8 SBU">
 
-<!ENTITY gzip-version "1.10">
-<!ENTITY gzip-size "757 KB">
+<!ENTITY gzip-version "1.11">
+<!ENTITY gzip-size "786 KB">
 <!ENTITY gzip-url "&gnu;gzip/gzip-&gzip-version;.tar.xz">
-<!ENTITY gzip-md5 "691b1221694c3394f1c537df4eee39d3">
+<!ENTITY gzip-md5 "d1e93996dba00cab0caa7903cd01d454">
 <!ENTITY gzip-home "&gnu-software;gzip/">
 <!ENTITY gzip-tmp-du "10 MB">
@@ -330,8 +330,8 @@
 <!ENTITY iana-etc-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY inetutils-version "2.1">
-<!ENTITY inetutils-size "1,496 KB">
+<!ENTITY inetutils-version "2.2">
+<!ENTITY inetutils-size "1,494 KB">
 <!ENTITY inetutils-url "&gnu;inetutils/inetutils-&inetutils-version;.tar.xz">
-<!ENTITY inetutils-md5 "4e7676d1980e57c7df665e5c5c3c1047">
+<!ENTITY inetutils-md5 "de8c1b49cbde2b30e481c61c65357ad4">
 <!ENTITY inetutils-sha256 "01b9a4bc73a47e63f6e8a07b76122d9ad2a2e46ebf14870e9c91d660b5647a22">
 <!ENTITY inetutils-home "&gnu-software;inetutils/">
@@ -347,8 +347,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.13.0">
-<!ENTITY iproute2-size "828 KB">
+<!ENTITY iproute2-version "5.14.0">
+<!ENTITY iproute2-size "834 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "15fc3786303a173a14e180afe4cd2ecd">
+<!ENTITY iproute2-md5 "da53966eb3b08ac264f3e9df02e06bfa">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "15 MB">
@@ -396,15 +396,15 @@
 
 <!ENTITY lfs-bootscripts-version "20210608">      <!-- Scripts depend on this format -->
-<!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">        
+<!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.xz">
-<!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">  
+<!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">
 <!ENTITY lfs-bootscripts-home " ">
-<!ENTITY lfs-bootscripts-cfg-du "BOOTSCRIPTS-INSTALL-KB KB"> 
+<!ENTITY lfs-bootscripts-cfg-du "BOOTSCRIPTS-INSTALL-KB KB">
 <!ENTITY lfs-bootscripts-cfg-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.53">
-<!ENTITY libcap-size "153 KB">
+<!ENTITY libcap-version "2.57">
+<!ENTITY libcap-size "164 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "094994d4554c6689cf98ae4f717b8e19">
+<!ENTITY libcap-md5 "e84ce311ec412cbe8340ea8ea31525d9">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-fin-du "3.2 MB">
@@ -436,11 +436,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "13">
-<!ENTITY linux-patch-version "12">
+<!ENTITY linux-minor-version "14">
+<!ENTITY linux-patch-version "3">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "116,545 KB">
+<!ENTITY linux-size "117,839 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "6e1728b2021ca19cc9273f080e6c44c7">
+<!ENTITY linux-md5 "b45b18effd1af9077de47f4bc496d2ab">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -598,12 +598,12 @@
 <!ENTITY psmisc-fin-sbu "less than 0.1 SBU">
 
-<!-- If python minor version changes, updates in python and 
+<!-- If python minor version changes, updates in python and
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.9.6">
+<!ENTITY python-version "3.9.7">
 <!ENTITY python-minor "3.9">
-<!ENTITY python-size "18,608 KB">
+<!ENTITY python-size "18,676 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "ecc29a7688f86e550d29dba2ee66cf80">
+<!ENTITY python-md5 "fddb060b483bc01850a3f412eea1d954">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "347 MB">
@@ -612,6 +612,6 @@
 <!ENTITY python-fin-sbu "4.4 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "0dae29e4c38af1b6b1a86b35c9e48923">
-<!ENTITY python-docs-size "6,692 KB">
+<!ENTITY python-docs-md5 "ef3ea6141ed362e4d12467b136ee70fe">
+<!ENTITY python-docs-size "6,791 KB">
 
 <!ENTITY readline-version "8.1">
@@ -637,5 +637,5 @@
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/v&shadow-version;/shadow-&shadow-version;.tar.xz">
 <!ENTITY shadow-md5 "126924090caf72f3de7e9261fd4e10ac">
-<!ENTITY shadow-home "https://shadow-maint.github.io/shadow/"> 
+<!ENTITY shadow-home "https://shadow-maint.github.io/shadow/">
 <!ENTITY shadow-fin-du "45 MB">
 <!ENTITY shadow-fin-sbu "0.2 SBU">
Index: patches.ent
===================================================================
--- patches.ent	(revision e68002242fc8a6c34fa97f986e31e74e414ab51b)
+++ patches.ent	(revision 716db1f7650e2a5a1639d91145cab6b4c14d1c99)
@@ -30,4 +30,8 @@
 <!ENTITY flex-fixes-patch-size "3.4 KB">
 -->
+
+<!ENTITY file-upstream-fixes-patch "file-&file-version;-upstream_fixes-1.patch">
+<!ENTITY file-upstream-fixes-md5 "d99090db596b9db2bed869662199a56a">
+<!ENTITY file-upstream-fixes-patch-size "4.0 KB">
 
 <!ENTITY gcc-upstream-fixes-patch "gcc-&gcc-version;-upstream_fixes-1.patch">
